package com.greenorange.promotion.model.dto.fileInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Min;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import com.greenorange.promotion.common.PageRequest;

/**
 * 文件查询请求体，继承自分页请求 PageRequest
 */
@Data
@Schema(description = "文件查询请求体", requiredProperties = {"current", "pageSize"})
public class FileInfoQueryRequest extends PageRequest implements Serializable {

    /**
     * 文件ID
     */
    @Min(value = 1L, message = "文件ID ID不能小于1")
    @Schema(description = "文件ID", example = "1")
    private Long id;


    /**
     * 文件view值
     */
    @Schema(description = "文件view值", example = "3E8U2AM8")
    private String fileView;


    @Serial
    private static final long serialVersionUID = 1L;
}

