package com.greenorange.promotion.model.dto.withdrawalApply;

import com.greenorange.promotion.annotation.WithdrawStatusEnumValue;
import com.greenorange.promotion.model.enums.WithdrawStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Min;
import lombok.Data;
import java.math.BigDecimal;

import java.io.Serial;
import java.io.Serializable;
import com.greenorange.promotion.common.PageRequest;

/**
 * 提现申请记录查询请求体，继承自分页请求 PageRequest
 */
@Data
@Schema(description = "提现申请记录查询请求体", requiredProperties = {"current", "pageSize"})
public class WithdrawalApplyQueryRequest extends PageRequest implements Serializable {

    /**
     * 提现状态[提现中(processing)|提现成功(success)|提现失败(failed)]
     */
    @Schema(description = "提现状态[提现中(processing)|提现成功(success)|提现失败(failed)]", example = "processing")
    private String withdrawalStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}

