package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 项目表
 * @TableName project
 */
@TableName(value ="project")
@Data
public class Project implements Serializable {
    /**
     * 项目ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目图片URL
     */
    private String projectImage;

    /**
     * 项目简介
     */
    private String projectDescription;

    /**
     * 项目价格
     */
    private BigDecimal projectPrice;

    /**
     * 结算说明（富文本）
     */
    private String settlementDesc;

    /**
     * 项目说明（富文本）
     */
    private String projectDesc;

    /**
     * 项目流程（富文本）
     */
    private String projectFlow;

    /**
     * 申请推广码说明（富文本）
     */
    private String applyPromoCodeDesc;

    /**
     * 项目结算周期
     */
    private Integer projectSettlementCycle;

    /**
     * 当前推广人数
     */
    private Integer currentPromotionCount;

    /**
     * 最大推广人数
     */
    private Integer maxPromoterCount;

    /**
     * 项目状态[项目运行(running)|人数已满(full)|项目暂停(paused)]
     */
    private String projectStatus;

    /**
     * 是否上架
     */
    private Boolean isShelves;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}