package com.greenorange.promotion.model.vo.fundsChange;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * 资金明细 视图对象
 */
@Data
@Schema(description = "资金明细 视图对象")
public class FundsItemVO implements Serializable {

    /**
     * 当前余额
     */
    @Schema(description = "当前余额", example = "10.00")
    private BigDecimal currentBalance;

    /**
     * 提现中的金额
     */
    @Schema(description = "提现中的金额", example = "15.00")
    private BigDecimal withdrawalAmount;

    /**
     * 已提现的金额
     */
    @Schema(description = "已提现的金额", example = "20.00")
    private BigDecimal withdrawnAmount;

    /**
     *  资金明细变动记录列表
     */
    @Schema(description = "资金明细变动记录列表")
    private List<FundsChangeVO>  fundsChangeVOList;

}
