package com.greenorange.promotion.model.vo.projectCommission;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ProjectDetailCommissionVO implements Serializable {

    /**
     * 项目明细抽佣ID
     */
    @Schema(description = "项目明细抽佣ID", example = "1")
    private Long id;

    /**
     * 项目明细名称
     */
    @Schema(description = "项目明细名称", example = "2.9元购买30元券包")
    private String projectDetailName;

    /**
     * 我的单价
     */
    @Schema(description = "我的单价", example = "10.44")
    private BigDecimal myUnitPrice;

    /**
     * 代理单价
     */
    @Schema(description = "代理单价", example = "9.44")
    private BigDecimal agentUnitPrice;

    /**
     * 当前抽佣比例
     */
    @Schema(description = "当前抽佣比例", example = "3")
    private BigDecimal currentCommissionRate;

    /**
     * 最大抽佣比例
     */
    @Schema(description = "最大抽佣比例", example = "2")
    private BigDecimal maxCommissionRate;

    /**
     * 项目id
     */
    @Schema(description = "项目id", example = "1")
    private Long projectId;


    @Serial
    private static final long serialVersionUID = 1L;
}
