package com.greenorange.promotion.model.vo.projectNotification;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 项目通知 视图对象
 */
@Data
@Schema(description = "项目通知 视图对象")
public class ProjectNotificationVO implements Serializable {

    /**
     * 项目通知ID
     */
    @Schema(description = "项目通知ID", example = "1")
    private Long id;

    /**
     * 通知标题
     */
    @Schema(description = "通知标题", example = "美团省钱包-春季活动价格上调通知")
    private String notificationTitle;

    /**
     * 通知内容
     */
    @Schema(description = "通知内容", example = "美团省钱包-春季活动价格上调通知美团省钱包-春季活动价格上调通知美团省钱包-春季活动价格上调通知")
    private String notificationContent;

    /**
     * 项目ID
     */
    @Schema(description = "项目ID", example = "1")
    private Long projectId;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间", example = "2023-04-01 12:00:00")
    private Date createTime;


    @Serial
    private static final long serialVersionUID = 1L;
}
