package com.greenorange.promotion.model.vo.projectSettlement;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 项目结算记录 视图对象
 */
@Data
@Schema(description = "项目结算记录 视图对象")
public class ProjectSettlementVO implements Serializable {

    /**
     * 项目结算记录ID
     */
    @Schema(description = "项目结算记录ID", example = "1")
    private Long id;

    /**
     * 项目明细名称
     */
    @Schema(description = "项目明细名称", example = "新用户完成首单")
    private String projectDetailName;

    /**
     * 结算数量
     */
    @Schema(description = "结算数量", example = "2")
    private Integer settlementQuantity;

    /**
     * 结算收益
     */
    @Schema(description = "结算收益", example = "2.34")
    private BigDecimal settlementRevenue;

    /**
     * 作业时间
     */
    @Schema(description = "作业时间", example = "2025-05-10")
    private String workTime;

    /**
     * 结算时间
     */
    @Schema(description = "结算时间", example = "2025-05-12")
    private String settlementTime;


    /**
     * 收益来源（true:抽成，false：推广码）
     */
    @Schema(description = "收益来源（true:抽成，false：推广码）", example = "false")
    private Boolean revenueSource;



    @Serial
    private static final long serialVersionUID = 1L;
}
