package com.greenorange.promotion.model.vo.userAccount;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户账户 视图对象
 */
@Data
@Schema(description = "用户账户 视图对象")
public class UserAccountVO implements Serializable {

    /**
     * 用户账户ID
     */
    @Schema(description = "用户账户ID", example = "1")
    private Long id;

    /**
     * 持卡人
     */
    @Schema(description = "持卡人", example = "chenxinzhi")
    private String cardHolder;

    /**
     * 身份证号
     */
    @Schema(description = "身份证号", example = "110101199001011234")
    private String idCardNumber;

    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "15888610253")
    private String phoneNumber;

    /**
     * 银行卡号
     */
    @Schema(description = "银行卡号", example = "5105105105105100")
    private String bankCardNumber;

    /**
     * 开户银行
     */
    @Schema(description = "开户银行", example = "中国工商银行")
    private String openBank;


    @Serial
    private static final long serialVersionUID = 1L;
}
