package com.greenorange.promotion.model.vo.userMainInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class UserMemberInfoVO implements Serializable {

    /**
     * 下级用户id
     */
    @Schema(description = "下级用户id", example = "5")
    private Long subUserId;

    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "chenxinzhi")
    private String nickName;

    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "15888610253")
    private String phoneNumber;

    /**
     * 团队人数（不包括自己）
     */
    @Schema(description = "团队人数（不包括自己）", example = "10")
    private Integer teamSize;

    /**
     * 给上级带来的收益
     */
    @Schema(description = "给上级带来的收益", example = "16.33")
    private BigDecimal parentEarnings;

    /**
     * 注册时间
     */
    @Schema(description = "注册时间", example = "2025-05-11 12:00:00")
    private Date registerTime;


    @Serial
    private static final long serialVersionUID = 1L;

}
